settings:
  - Fofr:
      name: "Fofr Fetcher"
      provider: "cz.senslog.connector.fetch.fofr.FofrFetchProvider"

      orderStatesUrl: "https://objednavky.fofrcz.cz/stavy/fofr/xml"
      warehouseLocationsUrl: "https://objednavky.fofrcz.cz/seznam-dep/json"
      parcelTrackingUrl: "https://objednavky.fofrcz.cz/procedure/track_and_trace_sledovani_zasilek.php"
      parcelInfoUrl: "https://objednavky.fofrcz.cz/zasilka-info/%s/%d/json"
      activeOrdersUrl: "http://172.17.0.1:8085/integration/tracking/all"

      deliveryStatus: 6

      missingWarehouses:
        - code: CP
          location: [48.9763139, 14.5065361]

  - Telemetry:
      name: "SensLog Telemetry"
      provider: "cz.senslog.connector.push.telemetry.TelemetryPushProvider"

      infoUrl: "http://172.17.0.1:8085/info"
      stopDeliveryUrl: "http://172.17.0.1:8085/integration/tracking/stop"
      updateLocationsUrl: "http://172.17.0.1:8085/campaigns/4/units/observations/locations"


connectors:
  - FofrTelemetry:
      fetcher: "Fofr"
      pusher: "Telemetry"    # name of the pusher from 'settings'
      period: 10          # 86_400 = 24h
#      startAt: "02:30:00" # hh:mm:ss  # non-mandatory attribute
      initDelay: 5        # non-mandatory attribute